FOG Node setup issues



  • Main fog server running perfectly fine on ubuntu 14.04.5 LTS with FOG 1.5.0-RC-9

    i’m trying to setup a fog node using another ubutu 14.04 LTS server. I first setup fog 1.2.0 and it ran setup perfectly fine. had the mysqluser (fogstorage) and pass (fs********) setup correctly. I was able to even go to the (fog node ip)/fog and it would show the little message that there’s no GUI. OK good, up and running but not replicating. I figured that my main server is 1.5.0 and my node is 1.2.0; which is why it wont work together.

    then on the fog node, I did the update to trunk and it updated to 1.5.0-RC-10 and now it the node doesn’t function.

    Under my main fog configuration, it says "FOGNODE1 FOG version (“A valid database connection could not be made” 1.5.0-RC-10)
    I try to access the node IP/fog and it gives me a error 500. and the URL goes to /fog/management/index.php?node=schema

    I check the apache2 error.log and find this:

    [Wed Nov 08 08:55:59.852106 2017] [php7:error] [pid 698] [client 10.*.*.*:49558] PHP Fatal error:  Uncaught Error: Call to a member function lastInsertId() on boolean in /var/www/html/fog/lib/db/pdodb.class.php:447\nStack trace:\n#0 /var/www/html/fog/lib/fog/fogcontroller.class.php(460): PDODB->insertId()\n#1 /var/www/html/fog/lib/fog/hookmanager.class.php(63): FOGController->save()\n#2 /var/www/html/fog/lib/fog/fogpage.class.php(219): HookManager->processEvent('PAGES_WITH_OBJE...', Array)\n#3 /var/www/html/fog/lib/pages/schemaupdaterpage.class.php(39): FOGPage->__construct('')\n#4 /var/www/html/fog/lib/fog/fogpagemanager.class.php(381): SchemaUpdaterPage->__construct()\n#5 [internal function]: FOGPageManager->{closure}('/var/www/html/f...')\n#6 /var/www/html/fog/lib/fog/fogpagemanager.class.php(386): array_map(Object(Closure), Array)\n#7 /var/www/html/fog/lib/fog/fogpagemanager.class.php(79): FOGPageManager->loadPageClasses()\n#8 [internal function]: FOGPageManager->__construct()\n#9 /var/www/html/fog/lib/fog/fogbase.class.php(481): ReflectionClass->newInstanceArgs(Array)\n#10 /var/www/html/fog/management/index.php(2 in /var/www/html/fog/lib/db/pdodb.class.php on line 447``
    

    I check the fogreplicator.log and it shows that it’s not online.
    /var/log/fog/fogsnapinrep.log

    [11-08-17 5:01:21 pm] FOGNODE1 Server does not appear to be online.
    [11-08-17 5:11:21 pm] * Starting Snapin Replication.
    [11-08-17 5:11:21 pm] * We are group ID: 1. We are group name: default
    [11-08-17 5:11:21 pm] * We are node ID: 1. We are node name: DefaultMember
    [11-08-17 5:11:21 pm] * Attempting to perform Group -> Group snapin replication.
    [11-08-17 5:11:21 pm] | Replicating ssl less private key
    [11-08-17 5:11:21 pm] * Found Snapin to transfer to 1 node
    [11-08-17 5:11:21 pm] | File Name: ssl/fog.csr
    [11-08-17 5:11:21 pm] FOGNODE1 Server does not appear to be online.

    I edit my server ip and host name alittle for the sake of security.

    with 1.2.0, PHP is 5. with 1.5.0 PHP is 7. is it a PHP error?

    Under the storage node settings when adding, the IP, username and password is all correct.

    help… thanks.


  • Moderator

    @nrg Marking this as solved then. For the database connection issue, open up another thread please.



  • @Wayne-Workman My main server was 1.5.0 RC9 and my node was 1.5.0 RC10 which is why it didn’t work. I did update my main server after Jgallo mentioned it and has resolved most of the issues.

    I think the “(“A valid database connection could not be made” 1.5.0-RC-10)” might be a bug. I’ve found two other threads that mention the same thing but their solution didn’t work on my end. As long as the server is replicating, i’m all good.

    please marked as solved thanks.


  • Developer

    @nrg Please report back when you have all servers running the same FOG version.


  • Moderator

    I would expect this to be resolved once the storage nodes version matches the fog server’s version, just as @JGallo suggested.



  • @nrg

    Possibly could be a bug. Wouldn’t be the first time LOL. Curiously what browser are you on and what size screen are you on? If you try to narrow the window on super wide screen I have seen the dashboard get all weird so I usually keep the window expanded.



  • @JGallo
    (0_1510182370293_fog_node.png image url)

    check this out. see that error under kernel? well it looks like the entire info is on the wrong row.
    storage node name is right, the IP is right, the “a valid database…” message shouldn’t be there, so now the Kernal 3.13…" message is pushed down a row. uptime is on the wrong row. So i think it’s an bug in the php code somewhere. the node works and connects and replicates fine. I’ve checked the settings you mention and dont see an issue.



  • max connection is 151, show status has a current connetion of 37, max used connection of 1 and threads connected of 1. everything else is 0.

    will read the other thread. both node and main server are 1.5.0-rc10.

    thank you, you’ve been a big help.



  • @nrg

    Just realized your node is on 1.2 and your FOG server is on 1.5 RC10. I would update your storage node first if that’s an option. Many changes since 1.2



  • @nrg

    I also had the valid database connection error which turned out to be a limit that I was hitting with mysql. Could be related and you could go into mysql and check to see if you are hitting that provided your credentials for your nodes are correct. It sounds like they are because replication is working.

    Discussion about valid database connection

    If you go into mysql, you could check by running the following command:

    mysql> show variables like 'max_connections';
    

    that max value if it’s being hit will show in the following command:

    mysql> show status like '%onn%';
    

    If the output of that is higher than the max connections then there is your problem. Read through the discussion and see if it can help what your dealing with.



  • ah thank you for that.
    updated now and my main fog sees the node
    but it still gives this message under the storage node disk usage drop down menu: “A valid database connection could not be made”@@general"
    It must be a bug when reading for the kernal info. But i’m able to see the node’s disk useage correctly.

    http://fognodeIP/fog still shows error 500 but that might be by designed. in 1.2.0 it showed a small text message.

    other than that. it’s replicating! thank you. solved!



  • @nrg

    1.5.0-RC9 had some issues with storage nodes. I would update to 1.5.0-RC10 as it was just release yesterday and many improvements from RC9. Most of those issues were resolved in working branch and hence RC10 should resolve your issues. I had the same problem and those issues were resolved now.


Log in to reply
 

431
Online

39.3k
Users

11.0k
Topics

104.4k
Posts

Looks like your connection to FOG Project was lost, please wait while we try to reconnect.